# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\projects\r-circlize-feedstock\recipe, last modified Thu Nov 22 07:40:49 2018
# ------------------------------------------------

package:
    name: r-circlize
    version: 0.4.5
source:
    fn: circlize_0.4.5.tar.gz
    sha256: 092a445b090286ef9802775e649496d0505c7c5d34e39ad395a0bdc3bf4c1662
    url:
        - https://cran.r-project.org/src/contrib/Archive/circlize/circlize_0.4.5.tar.gz
        - https://cran.r-project.org/src/contrib/circlize_0.4.5.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r351_0
requirements:
    build:
        - _r-mutex 1.0.0 anacondar_1
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-openblas 0.2.19 1
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - r-base 3.5.1 hfa6e2cd_1004
        - r-colorspace 1.3_2 r351h6115d3f_1002
        - r-globaloptions 0.1.0 r351_2001
        - r-shape 1.4.4 r351_1001
    run:
        - r-base >=3.5.1,<3.5.2.0a0
        - r-colorspace
        - r-globaloptions >=0.0.12
        - r-shape
test:
    commands:
        - '"%R%" -e "library(''circlize'')"'
about:
    home: https://github.com/jokergoo/circlize, http://jokergoo.github.io/circlize_book/book/
    license: GPL (>= 2)
    license_family: GPL3
    summary: Circular layout is an efficient way for the visualization of huge  amounts
        of information. Here this package provides an implementation  of circular
        layout generation in R as well as an enhancement of available  software. The
        flexibility of the package is based on the usage of low-level  graphics functions
        such that self-defined high-level graphics can be easily  implemented by users
        for specific purposes. Together with the seamless  connection between the
        powerful computational and visual environment in R,  it gives users more convenience
        and freedom to design figures for  better understanding complex patterns behind
        multiple dimensional data.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - daler
        - dpryan79
        - jdblischak
        - johanneskoester
